Feature #972

Feature #861: === Website & Examples ===

Setup and describe GUI-version as the default program, add Qt5 dependences to online installation instructions, and use the distributions' native Qt5

Added by wuttke over 5 years ago. Updated about 5 years ago.

Status:ArchivedStart date:17 Feb 2015
Priority:LowDue date:
Assignee:pospelov% Done:

0%

Category:-
Target version:Sprint 26

Description

As agreed in today's meeting, BornAgain-the-program should be identified with GUI version. Born-Again-the-library, which can be operated through Python scripts, should be described as a variant thereof, targeted at specialists.

TODO:
- In the cmake files, set BORNAGAIN_GUI=ON by default.
- Update the Unix build instructions
- to describe GUI version first
- to list Qt5 along with other dependencies.
- Where possible, use the distributions' native Qt5 packages
- Under Debian, I need at least some of the following packages:
qt5-default libqt5designercomponents5 qttools5-dev qtscript5-dev

History

#1 Updated by wuttke over 5 years ago

To discuss in this context: Shouldn't the GUI version become the default, and installation without GUI just a footnote for specialists? A decision is also needed before the man page can be written (issue #394).

#2 Updated by wuttke over 5 years ago

  • Subject changed from add Qt5 dependences to online installation instructions to Setup and describe GUI-version as the default program, add Qt5 dependences to online installation instructions, and use the distributions' native Qt5
  • Description updated (diff)

#3 Updated by herck about 5 years ago

  • Tracker changed from Bug to Feature

#4 Updated by pospelov about 5 years ago

  • Assignee set to pospelov
  • Priority changed from Urgent to High

#5 Updated by pospelov about 5 years ago

  • Status changed from Sprint to Resolved

#6 Updated by pospelov about 5 years ago

  • Status changed from Resolved to Archived

#7 Updated by wuttke about 5 years ago

  • Priority changed from High to Low

Also available in: Atom PDF